## libcomps 0.1.15

=== libcomps/src/CMakeLists.txt ===
set (libcomps_SOURCES comps_doc.c comps_docgroup.c comps_doccategory.c
                      comps_docenv.c comps_docpackage.c comps_docgroupid.c
     comps_obj.c comps_mm.c
     #comps_list.c
     comps_hslist.c comps_dict.c
     comps_objradix.c comps_objmradix.c comps_objdict.c comps_objlist.c
     comps_elem.c comps_radix.c comps_mradix.c comps_bradix.c comps_set.c
     comps_parse.c comps_log.c comps_default.c
     comps_utils.c comps_validate.c
     comps_log_codes.c
     comps_types.c
     )
set (libcomps_HEADERS comps_doc.h comps_docgroup.h comps_doccategory.h
                      comps_docenv.h comps_docpackage.h comps_docgroupid.h
     comps_obj.h comps_mm.h
     #comps_list.h
     comps_hslist.h comps_dict.h
     comps_objradix.h comps_objmradix.h comps_objdict.h comps_objlist.h
     comps_elem.h comps_radix.h comps_mradix.h comps_bradix.h comps_set.h
     comps_parse.h comps_log.h comps_default.h
     comps_utils.h comps_validate.h
     comps_log_codes.h
    )
add_custom_target(src-copy)

SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/libcomps_config.h.in"
                "${PROJECT_SOURCE_DIR}/src/libcomps/libcomps_config.h")

include_directories(${LIBXML2_INCLUDE_DIR})
file(GLOB files "${PROJECT_SOURCE_DIR}/src/*.h")
file(MAKE_DIRECTORY "${PROJECT_SOURCE_DIR}/src/libcomps")

foreach(file ${files})
    add_custom_command(TARGET src-copy PRE_BUILD COMMAND ${CMAKE_COMMAND} -E
                copy ${file} "${PROJECT_SOURCE_DIR}/src/libcomps/")
    #file(COPY ${file} DESTINATION "${PROJECT_SOURCE_DIR}/src/libcomps/")
endforeach()


if (BUILD_LIBCOMPS_SHARED)
  set (libcomps_library_type SHARED)
else ()
  set (libcomps_library_type STATIC)
endif ()
add_library(libcomps ${libcomps_library_type} ${libcomps_SOURCES})
target_link_libraries(libcomps ${EXPAT_LIBRARY})
target_link_libraries(libcomps ${LIBXML2_LIBRARIES})
target_link_libraries(libcomps ${ZLIB_LIBRARIES})
target_link_libraries(libcomps m)
set_target_properties(libcomps PROPERTIES OUTPUT_NAME "comps")
set_target_properties(libcomps PROPERTIES SOVERSION ${libcomps_VERSION_MAJOR})

add_dependencies(libcomps src-copy)

if (ENABLE_DEVELOPMENT OR "${libcomps_library_type}" STREQUAL "SHARED")
    install (
        TARGETS libcomps
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT RuntimeLibraries
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT RuntimeLibraries
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Development
    )
endif ()

configure_file("${PROJECT_SOURCE_DIR}/../libcomps.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libcomps.pc" @ONLY)

if (ENABLE_DEVELOPMENT)
  install (FILES ${libcomps_HEADERS} DESTINATION include/libcomps)
  install (TARGETS libcomps LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
  install (FILES "${CMAKE_CURRENT_BINARY_DIR}/libcomps.pc"
          DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
endif ()

add_subdirectory(python)

=== libcomps/src/python/CMakeLists.txt ===
if (ENABLE_TESTS)
    include(tests/tests.cmake)
endif ()

#include(pycopy.cmake)
include(pversion.cmake)
set(pycopy "py${pversion}-copy")

set (pycomps_TESTSDIR "${CMAKE_CURRENT_SOURCE_DIR}/tests/")


set(PYCOMPS_LIB_PATH "${CMAKE_CURRENT_BINARY_DIR}/src/")

add_subdirectory(src)

if (ENABLE_DOCS)
    add_subdirectory (docs)
endif ()

=== libcomps/src/python/src/CMakeLists.txt ===
macro(LIST_REPLACE _LIST INDEX VALUE)
    list(INSERT ${_LIST} ${INDEX} ${VALUE})
    MATH(EXPR __INDEX "${INDEX} + 1")
    list (REMOVE_AT ${_LIST} ${__INDEX})
endmacro(LIST_REPLACE)

set (pycomps_SRCDIR ${CMAKE_CURRENT_SOURCE_DIR})

set (pycomps_SRC pycomps.c pycomps_sequence.c
     pycomps_envs.c pycomps_categories.c pycomps_groups.c
     pycomps_gids.c pycomps_utils.c pycomps_dict.c pycomps_mdict.c
     pycomps_hash.c pycomps_exc.c pycomps_lbw.c)

set (pycomps_HEADERS pycomps_23macros.h pycomps_sequence.h
     pycomps_envs.h pycomps_categories.h pycomps_groups.h
     pycomps_gids.h pycomps_utils.h pycomps_dict.h pycomps_mdict.h
     pycomps_hash.h pycomps_exc.h pycomps_lbw.h
     pycomps_types.h)

#set(TEST_FILES ../__init__.py __test.py test_merge_comps.py test_libcomps.py
#               utest.py)
#
#set(TEST_COMPS  fedora_comps.xml sample_comps.xml
#                sample_comps2.xml sample_comps2.xml.gz main_comps.xml
#                main_comps2.xml main_arches.xml f21-rawhide-comps.xml
#                comps-f21.xml.in
#                comps/comps_part1.xml  comps/comps_part2.xml
#                comps/merged_comps_1_2.xml  comps/merged_comps_2_1.xml
#                comps/comps-f21.xml)

list (LENGTH pycomps_SRC pycomps_SRCLEN)
math (EXPR pycomps_SRCLEN "${pycomps_SRCLEN} - 1")
foreach(i RANGE 0 ${pycomps_SRCLEN})
    list (GET pycomps_SRC ${i} val)
    LIST_REPLACE(pycomps_SRC ${i} "${CMAKE_CURRENT_SOURCE_DIR}/${val}")
endforeach(i)

list (LENGTH pycomps_HEADERS pycomps_SRCLEN)
math (EXPR pycomps_SRCLEN "${pycomps_SRCLEN} - 1")
foreach(i RANGE 0 ${pycomps_SRCLEN})
    list (GET pycomps_HEADERS ${i} val)
    LIST_REPLACE(pycomps_HEADERS ${i} "${CMAKE_CURRENT_SOURCE_DIR}/${val}")
endforeach(i)

if (NOT SKBUILD)
    if (${pversion} EQUAL 2)
        find_package (PythonInterp 2 EXACT REQUIRED)
    else ()
        find_package (PythonInterp 3 EXACT REQUIRED)
    endif ()
    find_package (PythonLibs)
endif(NOT SKBUILD)

include_directories(${PYTHON_INCLUDE_PATH})
include_directories(${LIBCOMPS_INCLUDE_PATH})

if (ENABLE_TESTS)
    configure_file(${pycomps_TESTSDIR}/run_tests.sh.in ./libcomps/run_tests.sh)
endif ()

if (${pversion} EQUAL 2)
    add_library(pycomps SHARED ${pycomps_SRC})
    set_target_properties(pycomps PROPERTIES LIBRARY_OUTPUT_DIRECTORY "./libcomps")
    set_target_properties(pycomps PROPERTIES PREFIX "_lib")
    #set_target_properties(pycomps PROPERTIES LIBRARY_OUTPUT_NAME "_libpycomps")
    #add_dependencies(pycomps src-copy)
    SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
    SET(CMAKE_SKIP_BUILD_RPATH  TRUE)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
else ()
    include(../pycopy.cmake)

    add_library(pycomps SHARED ${pycomps_SRC})
    set_target_properties(pycomps PROPERTIES LIBRARY_OUTPUT_DIRECTORY "./libcomps")
    set_target_properties(pycomps PROPERTIES PREFIX "")
    set_target_properties(pycomps PROPERTIES LIBRARY_OUTPUT_NAME "_libpycomps")
    add_dependencies(pycomps src-copy)
endif ()

target_link_libraries(pycomps libcomps)
target_link_libraries(pycomps ${EXPAT_LIBRARIES})
target_link_libraries(pycomps ${LIBXML2_LIBRARIES})
target_link_libraries(pycomps ${PYTHON_LIBRARIES})

if ((${pversion} EQUAL 2) AND ENABLE_TESTS)
    set(pycopy pytest_run)

    add_custom_target(pytest_run)
    add_dependencies(pytest_run pycomps)

    include(../pycopy.cmake)

    add_custom_command(TARGET pytest_run COMMAND ./run_tests.sh
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/libcomps/
                    COMMENT "Running python binding tests")
endif ()

if (ENABLE_TESTS)
    add_custom_target(pytest_run COMMAND ./run_tests.sh
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/libcomps/
                    COMMENT "Running python binding tests")
endif ()

if (${pversion} EQUAL 2)
    if (ENABLE_TESTS)
        add_dependencies(pytest pytest_run)
    endif ()
else ()
    add_dependencies(pycomps pycomps py3-copy)
endif ()

IF (SKBUILD)
    find_package(PythonExtensions REQUIRED)
    python_extension_module(pycomps)
    INSTALL(FILES libcomps/__init__.py DESTINATION libcomps/src/python/src/libcomps)
    INSTALL(TARGETS pycomps LIBRARY DESTINATION libcomps/src/python/src/libcomps)
ELSE ()
    EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from distutils import sysconfig; stdout.write(sysconfig.get_python_lib(True))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)

    INSTALL(FILES ${pycomps_SRCDIR}/libcomps/__init__.py DESTINATION ${PYTHON_INSTALL_DIR}/libcomps)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/__test.py DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/fedora_comps.xml DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/sample_comps.xml DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/main_comps.xml DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/main_comps2.xml DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    INSTALL (TARGETS pycomps LIBRARY DESTINATION ${PYTHON_INSTALL_DIR}/libcomps)
    # Version has to be passed as last argument.
    INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/../setup_for_python_metadata.py install_egg_info --install-dir \$ENV{DESTDIR}/${PYTHON_INSTALL_DIR}/ ${VERSION})")
ENDIF (SKBUILD)

=== debian/changelog ===
libcomps (0.1.15-5build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:34:21 +0000

libcomps (0.1.15-5) unstable; urgency=medium

  * Remove python2 syntax. Closes: #997748

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sun, 02 Jan 2022 15:46:23 +0100

libcomps (0.1.15-4) unstable; urgency=medium

  * Team upload.
  * Source upload for testing migration. 

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 00:48:43 +0100

libcomps (0.1.15-3) unstable; urgency=medium

  * debian/copyright: Update and specify copyright holders

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Tue, 02 Feb 2021 14:09:48 +0100

libcomps (0.1.15-2) unstable; urgency=medium

  * debian/rules: Avoid using $(PWD) variable.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove listed license files (COPYING) from copyright.
  * Remove unnecessary get-orig-source-target.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Wed, 30 Dec 2020 09:43:31 -0000

libcomps (0.1.15-1) unstable; urgency=medium

  * Initial upload.
  * libcomps, librepo and libdnf are all needed for dnf, see #978627 (ITP bug
    for dnf) and https://github.com/QubesOS/qubes-issues/issues/5940 for more
    details on this packaging efford.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 26 Dec 2020 10:00:00 +0100

=== debian/control ===
Source: libcomps
Section: libs
Priority: optional
Maintainer: Mihai Moldovan <ionic@ionic.de>
Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
Build-Depends: debhelper-compat (= 10),
 dh-python,
 python3-dev,
 libpython3-dev,
 cmake,
 pkg-config,
 libxml2-dev,
 libexpat1-dev,
 doxygen,
 python3-sphinx,
 check,
 zlib1g-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/rpm-software-management/libcomps
Vcs-Browser: https://salsa.debian.org/fepitre/libcomps
Vcs-Git: https://salsa.debian.org/fepitre/libcomps.git
#Testsuite: autopkgtest-pkg-python

Package: libcomps-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libcomps0 (= ${binary:Version}),
 pkg-config,
 libglib2.0-dev,
 libssl-dev,
 libcurl4-gnutls-dev,
 libattr1-dev,
 libgpgme-dev,
Description: Comps XML file manipulation library - development files
 Libcomps is library for structure-like manipulation of content in
 comps XML files. Supports reading/writing XML files and structure
 modifications.
 .
 This package contains the development header files for the
 libcomps library.

Package: libcomps0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Provides: libcomps
Description: Comps XML file manipulation library - shared library
 Libcomps is library for structure-like manipulation of content in
 comps XML files. Supports reading/writing XML files and structure
 modifications.
 .
 This package provides the libcomps shared library.

Package: libcomps-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
 libjs-jquery,
Description: Documentation for the libcomps library (common documentation)
 Libcomps is library for structure-like manipulation of content in
 comps XML files. Supports reading/writing XML files and structure
 modifications.
 .
 This package installs common documentation for the libcomps
 C bindings.

Package: python-libcomps-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends},
 libjs-jquery,
 libjs-underscore,
Description: Python 2 and 3 bindings for the libcomps library (common documentation)
 Libcomps is library for structure-like manipulation of content in
 comps XML files. Supports reading/writing XML files and structure
 modifications.
 .
 This package installs common documentation for the libcomps Python
 2 and 3 bindings.

Package: python3-libcomps
Architecture: any
Multi-Arch: no
Section: python
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
 libcomps0 (= ${binary:Version}),
Provides: ${python3:Provides},
Suggests: python-libcomps-doc
Description: Python bindings for the libcomps library (Python 3)
 Libcomps is library for structure-like manipulation of content in
 comps XML files. Supports reading/writing XML files and structure
 modifications.
 .
 This package installs the libcomps library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=libcomps/ --builddirectory=build -- \
		-DPYTHON_DESIRED:STRING=3 -DLIB_INST_DIR:PATH="/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)"

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all docs pydocs

override_dh_auto_install:
	dh_auto_install --builddirectory=build
	# Remove doctree files (redundant, conflicts with reproducible builds)
	rm -rfv 'build/src/python/docs/html/.doctrees' 'build/docs/libcomps-doc/html/.doctrees'
	# Use system-provided files.
	rm -fv 'build/src/python/docs/html/_static/jquery.js' \
		   'build/src/python/docs/html/_static/underscore.js' \
		   'build/docs/libcomps-doc/jquery.js' \
		   'build/src/python/docs/html/_static/doctools.js' \
		   'build/src/python/docs/html/_static/language_data.js' \
		   'build/src/python/docs/html/_static/searchtools.js'
	# replace buildpath in xml
	# find 'build/docs/libcomps-doc/xml' -name "*.xml" -exec sed -i "s|$(CURDIR)|.|g" {} \;


override_dh_auto_clean:
	rm -rf libcomps/docs/Doxyfile.user
	dh_auto_clean --builddirectory=build

override_dh_auto_test:
	dh_auto_test --builddirectory=build

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	if dpkg --compare-versions "$$(dpkg-query -f='$${Version}' --show 'debhelper')" 'ge' '12'; then \
		dh_install; \
	else \
		dh_install --fail-missing ; \
	fi

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(?:v|libcomps\-)?(\d\S+)\.tar\.gz/libcomps-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/libcomps/releases .*/(?:v|libcomps\-)?(\d\S+)\.tar\.gz

## libcomps 0.1.19

=== debian/changelog ===
libcomps (0.1.19-2) unstable; urgency=medium

  * Set myself to maintainer.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 07 Jan 2023 20:04:37 +0100

libcomps (0.1.19-1) unstable; urgency=medium

  * Update to libcomps-0.1.19.
  * Update debian/control: bump debhelper-compat to 13 and add
    python3-setuptools to Build-Depends.
  * Update debian/rules: remove reproducible flag being the default
    and remove not needed anymore PYTHON_DESIRED from dh_auto_configure.
    Also remove undeeded override of dh_install as debhelper is bumped.
  * Update debian/watch: update to use tags endpoint.
  * Cleanup undeeded patch for python2.

 -- Frédéric Pierret <frederic.pierret@qubes-os.org>  Sat, 12 Nov 2022 12:08:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libcomps
 Section: libs
 Priority: optional
-Maintainer: Mihai Moldovan <ionic@ionic.de>
-Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>
-Build-Depends: debhelper-compat (= 10),
+Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-dev,
  libpython3-dev,
@@ -15,6 +14,7 @@
  python3-sphinx,
  check,
  zlib1g-dev,
+ python3-setuptools
 Standards-Version: 4.5.1
 Homepage: https://github.com/rpm-software-management/libcomps
 Vcs-Browser: https://salsa.debian.org/fepitre/libcomps

## libcomps 0.1.20

=== debian/changelog ===
libcomps (0.1.20-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:52:34 +0000

libcomps (0.1.20-1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:16:51 +0100

libcomps (0.1.20-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Switch to git-buildpackage workflow
  * Update upstream source from tag 'upstream/0.1.20'
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2
  * Switch build dependency to pkgconf
  * Add d/salsa-ci.yml
  * Drop pkg-config dependency from libcomps-dev

 -- Luca Boccassi <bluca@debian.org>  Thu, 29 Feb 2024 13:26:33 +0000

libcomps (0.1.19-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move python3 modules from /usr/lib/local/ (Closes: #1052913)

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Oct 2023 15:32:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: libcomps
 Section: libs
 Priority: optional
-Maintainer: Frédéric Pierret <frederic.pierret@qubes-os.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
+           Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-dev,
  libpython3-dev,
  cmake,
- pkg-config,
+ pkgconf,
  libxml2-dev,
  libexpat1-dev,
  doxygen,
@@ -15,10 +18,11 @@
  check,
  zlib1g-dev,
  python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/libcomps
-Vcs-Browser: https://salsa.debian.org/fepitre/libcomps
-Vcs-Git: https://salsa.debian.org/fepitre/libcomps.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libcomps
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libcomps.git
 #Testsuite: autopkgtest-pkg-python
 
 Package: libcomps-dev
@@ -27,7 +31,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  libcomps0 (= ${binary:Version}),
- pkg-config,
  libglib2.0-dev,
  libssl-dev,
  libcurl4-gnutls-dev,

## libcomps 0.1.21

=== debian/changelog ===
libcomps (0.1.21-1build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:18:40 +0200

libcomps (0.1.21-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:05:33 +0100

libcomps (0.1.21-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1.21'
  * Add new symbols to libcomps0

 -- Luca Boccassi <bluca@debian.org>  Sat, 23 Mar 2024 19:29:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libcomps
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
            Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh "${@}" --buildsystem=cmake --with=python3

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=libcomps/ --builddirectory=build -- \
		-DLIB_INST_DIR:PATH="/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)"

override_dh_auto_build:
	dh_auto_build --builddirectory=build -- all docs pydocs

override_dh_auto_install:
	dh_auto_install --builddirectory=build

	# Remove doctree files (redundant, conflicts with reproducible builds)
	rm -rfv 'build/src/python/docs/html/.doctrees' 'build/docs/libcomps-doc/html/.doctrees'

	# Use system-provided files.
	rm -fv 'build/src/python/docs/html/_static/jquery.js' \
		   'build/src/python/docs/html/_static/underscore.js' \
		   'build/docs/libcomps-doc/jquery.js' \
		   'build/src/python/docs/html/_static/doctools.js' \
		   'build/src/python/docs/html/_static/language_data.js' \
		   'build/src/python/docs/html/_static/searchtools.js'

override_dh_auto_clean:
	rm -rf libcomps/docs/Doxyfile.user
	dh_auto_clean --builddirectory=build

override_dh_auto_test:
	dh_auto_test --builddirectory=build

override_dh_missing:
	dh_missing --fail-missing

## libcomps 0.1.22

=== libcomps/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)
project(libcomps C)

cmake_policy(SET CMP0148 OLD)
cmake_policy(SET CMP0175 NEW)

include (GNUInstallDirs)
include (${CMAKE_ROOT}/Modules/CheckFunctionExists.cmake)
include (${CMAKE_SOURCE_DIR}/version.cmake)
#set (CMAKE_CXX_COMPILER g++)

OPTION (ENABLE_TESTS "Build test?" ON)
OPTION (ENABLE_DOCS "Build docs?" ON)

set(LIBCOMPS_OUT "${CMAKE_CURRENT_BINARY_DIR}/src")

set (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} --pedantic -std=c99 -Wall -Wextra -g -Wno-missing-field-initializers -O2 -fno-strict-aliasing -g")
set (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS} -ggdb -O0 -Wall -Wextra")

set (VERSION "${libcomps_VERSION_MAJOR}.${libcomps_VERSION_MINOR}.${libcomps_VERSION_PATCH}")
#set (libcomps_SOURCE comps_list.c)
#set (libcomps_HEADERS comps_list.h)

option(BUILD_LIBCOMPS_SHARED "Build libcomps as a shared library?" ON)
if(NOT BUILD_LIBCOMPS_SHARED)
  set(CMAKE_POSITION_INDEPENDENT_CODE 1)
endif()

option(ENABLE_DEVELOPMENT "Install development files?" ON)
option(ENABLE_DOCS "Build docs?" ON)
option(ENABLE_TESTS "Build test?" ON)

include_directories("${PROJECT_BINARY_DIR}")
include_directories("${PROJECT_SOURCE_DIR}/src")
#include_directories("${PROJECT_SOURCE_DIR}/src/libcomps")

if (ENABLE_TESTS)
  find_library(CHECK_LIBRARY REQUIRED NAMES check)
endif()
find_library(EXPAT_LIBRARY NAMES expat)

find_package(ZLIB REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(EXPAT REQUIRED)

include_directories(${CHECK_INCLUDE_DIR})
include_directories(${EXPAT_INCLUDE_DIR})
include_directories(${LIBXML2_INCLUDE_DIR})
include_directories(${ZLIB_INCLUDE_DIRS})

#add_custom_target(pytest DEPENDS pytest_run)
#add_custom_target(ctest DEPENDS test_comps_run test_parse_run)
#add_custom_target(test DEPENDS ctest pytest)
#add_custom_command(TARGET test POST_BUILD COMMAND ./run_tests.sh
#                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/libcomps/
#                   COMMENT "Running python binding tests")

if (ENABLE_TESTS)
  add_custom_target(pytest)
  add_custom_target(ctest)
  add_custom_target(test)
  add_dependencies(test ctest)
  add_dependencies(test pytest)
endif ()

add_subdirectory (src)

if (ENABLE_TESTS)
  add_subdirectory (tests)
endif ()

if (ENABLE_DOCS)
    add_subdirectory (docs EXCLUDE_FROM_ALL)
endif (ENABLE_DOCS)

=== debian/changelog ===
libcomps (0.1.22-1) unstable; urgency=medium

  * Remove Python 2 references from package description (Closes: #1082052)
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Build with package-notes ELF stamping
  * Update upstream source from tag 'upstream/0.1.22'
  * Update patches for new release
  * Drop 0004-Set-CMAKE_SKIP_RPATH-to-TRUE.patch, no longer needed
  * Drop 0005-Disable-XML-doc-generation.patch and delete files manually
  * Add build-depends package to symbols file
  * d/copyright: use url for gpl sources
  * d/rules: drop dh_missing override
  * Add build dependency on pybuild-plugin-pyproject

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 Aug 2025 00:26:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 %:
 	dh "${@}" --buildsystem=cmake --with=python3
@@ -19,6 +20,9 @@
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=build
+
+	# Drop XML files, not needed
+	rm -rf build/docs/libcomps-doc/xml
 
 	# Remove doctree files (redundant, conflicts with reproducible builds)
 	rm -rfv 'build/src/python/docs/html/.doctrees' 'build/docs/libcomps-doc/html/.doctrees'
@@ -37,6 +41,3 @@
 
 override_dh_auto_test:
 	dh_auto_test --builddirectory=build
-
-override_dh_missing:
-	dh_missing --fail-missing

## libcomps 0.1.23

=== libcomps/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,9 @@
 project(libcomps C)
 
 cmake_policy(SET CMP0148 OLD)
+if ("${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.31")
 cmake_policy(SET CMP0175 NEW)
+endif()
 
 include (GNUInstallDirs)
 include (${CMAKE_ROOT}/Modules/CheckFunctionExists.cmake)

=== libcomps/tests/CMakeLists.txt ===
#set (testlist_SOURCE check_list.c check_utils.c)
#set (testlist_HEADERS check_list.h check_utils.h)
add_custom_target(test-copy)

SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

set (testobjrtree_SOURCE check_objrtree.c check_utils.c)
set (testobjrtree_HEADERS check_objrtree.h check_utils.h)

set (testrtree_SOURCE check_rtree.c check_utils.c)
set (testrtree_HEADERS check_rtree.h check_utils.h)

set (testbrtree_SOURCE check_brtree.c check_utils.c)
set (testbrtree_HEADERS check_brtree.h check_utils.h)

set (testparse_SOURCE check_parse.c check_utils.c)
set (testparse_HEADERS check_utils.h)

set (testcomps_SOURCE check_comps.c)

set (testvalidate_SOURCE check_validate.c)

#add_executable(test_list ${testlist_SOURCE})
add_executable(test_rtree ${testrtree_SOURCE})
add_executable(test_objrtree ${testobjrtree_SOURCE})
add_executable(test_brtree ${testbrtree_SOURCE})
#add_executable(test_mrtree ${testmrtree_SOURCE})
add_executable(test_parse ${testparse_SOURCE})
add_executable(test_comps ${testcomps_SOURCE})
add_executable(test_validate ${testvalidate_SOURCE})

#target_link_libraries(test_list libcomps)
#target_link_libraries(test_list ${CHECK_LIBRARY})

target_link_libraries(test_brtree libcomps)
target_link_libraries(test_brtree ${CHECK_LIBRARY})

target_link_libraries(test_rtree libcomps)
target_link_libraries(test_rtree ${CHECK_LIBRARY})

target_link_libraries(test_objrtree libcomps)
target_link_libraries(test_objrtree ${CHECK_LIBRARY})

target_link_libraries(test_validate libcomps)
target_link_libraries(test_validate ${CHECK_LIBRARY})

#target_link_libraries(test_rtree2 libcomps)
#target_link_libraries(test_rtree2 ${CHECK_LIBRARY})

#target_link_libraries(test_mrtree libcomps)
#target_link_libraries(test_mrtree ${CHECK_LIBRARY})

target_link_libraries(test_parse libcomps)
target_link_libraries(test_parse expat)
target_link_libraries(test_parse ${CHECK_LIBRARY})

target_link_libraries(test_comps expat)
target_link_libraries(test_comps ${CHECK_LIBRARY})
target_link_libraries(test_comps libcomps)
set_target_properties(test_comps PROPERTIES COMPILE_FLAGS "${CMAKE_C_FLAGS} -g")

add_dependencies(test_comps test-copy)
add_dependencies(test_parse test-copy)
add_dependencies(test_validate test-copy)


set(TEST_FILES fedora_comps.xml sample-comps.xml sample_comps.xml
               sample_comps_bad1.xml sample_comps_bad2.xml sample_comps_bad3.xml
               sample-bad-elem.xml comps.dtd dict-test.txt main_comps2.xml
               main_arches.xml f21-rawhide-comps.xml)
foreach(file ${TEST_FILES})
    add_custom_command(TARGET test-copy PRE_BUILD COMMAND ${CMAKE_COMMAND} -E
                        copy ${CMAKE_CURRENT_SOURCE_DIR}/${file} ./)
    #file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/${file} DESTINATION ./)
endforeach()

add_custom_target(test_comps_run
                   COMMAND export LD_LIBRARY_PATH="${LIBCOMPS_OUT}/:$LD_LIBRARY_PATH"
                           && ./test_comps
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS test_comps
                   COMMENT "Running comps test")

add_custom_target(test_parse_run
                   COMMAND export LD_LIBRARY_PATH="${LIBCOMPS_OUT}/:$LD_LIBRARY_PATH"
                           && ./test_parse
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS test_parse
                   COMMENT "Running comps_parse test")

add_dependencies(ctest test_comps_run test_parse_run)

=== libcomps/src/python/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,7 @@
 endif ()
 
 #include(pycopy.cmake)
-include(pversion.cmake)
-set(pycopy "py${pversion}-copy")
+set(pycopy "py3-copy")
 
 set (pycomps_TESTSDIR "${CMAKE_CURRENT_SOURCE_DIR}/tests/")

=== libcomps/src/python/docs/CMakeLists.txt ===
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/doc-sources/conf.py.in"
               "${CMAKE_CURRENT_SOURCE_DIR}/doc-sources/conf.py")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")

SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)


#include(../pycopy.cmake)

#find_package(Doxygen)
#if(DOXYGEN_FOUND)
# configure_file(Doxyfile.user.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.user)
# add_custom_target (pydocs COMMAND ${DOXYGEN_EXECUTABLE}
#                         ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.user
#                         SOURCES ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.user)
#endif(DOXYGEN_FOUND)

find_package(Sphinx)

set(pycopy pydocs)
add_custom_target(pydocs)
add_dependencies(pydocs pycomps)

include(../pycopy.cmake)
add_custom_command(TARGET pydocs PRE_BUILD COMMAND set -E $ENV{LD_LIBRARY_PATH} "${LIBCOMPS_OUT}:$ENV{LD_LIBRARY_PATH}")

add_custom_command(TARGET pydocs POST_BUILD
                                 COMMAND ${PYTHON_EXECUTABLE} ${SPHINX_EXECUTABLE} -E -b html
                                  "${CMAKE_CURRENT_SOURCE_DIR}/doc-sources/"
                                  "${CMAKE_CURRENT_BINARY_DIR}/html/"
                                 COMMENT "LDLP $ENV{LD_LIBRARY_PATH}")

=== libcomps/src/python/src/CMakeLists.txt ===
macro(LIST_REPLACE _LIST INDEX VALUE)
    list(INSERT ${_LIST} ${INDEX} ${VALUE})
    MATH(EXPR __INDEX "${INDEX} + 1")
    list (REMOVE_AT ${_LIST} ${__INDEX})
endmacro(LIST_REPLACE)

set (pycomps_SRCDIR ${CMAKE_CURRENT_SOURCE_DIR})

set (pycomps_SRC pycomps.c pycomps_sequence.c
     pycomps_envs.c pycomps_categories.c pycomps_groups.c
     pycomps_gids.c pycomps_utils.c pycomps_dict.c pycomps_mdict.c
     pycomps_hash.c pycomps_exc.c pycomps_lbw.c)

set (pycomps_HEADERS pycomps_macros.h pycomps_sequence.h
     pycomps_envs.h pycomps_categories.h pycomps_groups.h
     pycomps_gids.h pycomps_utils.h pycomps_dict.h pycomps_mdict.h
     pycomps_hash.h pycomps_exc.h pycomps_lbw.h
     pycomps_types.h)

#set(TEST_FILES ../__init__.py __test.py test_merge_comps.py test_libcomps.py
#               utest.py)
#
#set(TEST_COMPS  fedora_comps.xml sample_comps.xml
#                sample_comps2.xml sample_comps2.xml.gz main_comps.xml
#                main_comps2.xml main_arches.xml f21-rawhide-comps.xml
#                comps-f21.xml.in
#                comps/comps_part1.xml  comps/comps_part2.xml
#                comps/merged_comps_1_2.xml  comps/merged_comps_2_1.xml
#                comps/comps-f21.xml)

list (LENGTH pycomps_SRC pycomps_SRCLEN)
math (EXPR pycomps_SRCLEN "${pycomps_SRCLEN} - 1")
foreach(i RANGE 0 ${pycomps_SRCLEN})
    list (GET pycomps_SRC ${i} val)
    LIST_REPLACE(pycomps_SRC ${i} "${CMAKE_CURRENT_SOURCE_DIR}/${val}")
endforeach(i)

list (LENGTH pycomps_HEADERS pycomps_SRCLEN)
math (EXPR pycomps_SRCLEN "${pycomps_SRCLEN} - 1")
foreach(i RANGE 0 ${pycomps_SRCLEN})
    list (GET pycomps_HEADERS ${i} val)
    LIST_REPLACE(pycomps_HEADERS ${i} "${CMAKE_CURRENT_SOURCE_DIR}/${val}")
endforeach(i)

if (NOT SKBUILD)
    find_package (PythonInterp 3 EXACT REQUIRED)
    find_package (PythonLibs 3 EXACT)
endif(NOT SKBUILD)

include_directories(${PYTHON_INCLUDE_DIR})
include_directories(${LIBCOMPS_INCLUDE_PATH})

if (ENABLE_TESTS)
    configure_file(${pycomps_TESTSDIR}/run_tests.sh.in ./libcomps/run_tests.sh)
endif ()

include(../pycopy.cmake)

add_library(pycomps SHARED ${pycomps_SRC})
set_target_properties(pycomps PROPERTIES LIBRARY_OUTPUT_DIRECTORY "./libcomps")
set_target_properties(pycomps PROPERTIES PREFIX "")
set_target_properties(pycomps PROPERTIES LIBRARY_OUTPUT_NAME "_libpycomps")
add_dependencies(pycomps src-copy)

target_link_libraries(pycomps libcomps)
target_link_libraries(pycomps ${EXPAT_LIBRARIES})
target_link_libraries(pycomps ${LIBXML2_LIBRARIES})

if (NOT SKBUILD)
    # manylinux links statically, no libpythonX.so available
    # https://github.com/pypa/manylinux/issues/255#issuecomment-450761634
    target_link_libraries(pycomps ${PYTHON_LIBRARIES})
endif (NOT SKBUILD)

if (ENABLE_TESTS)
    set(pycopy pytest_run)

    add_custom_target(pytest_run COMMAND ./run_tests.sh
                      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/libcomps/
                      COMMENT "Running python binding tests")
    add_dependencies(pytest_run pycomps py3-copy)
endif ()

IF (SKBUILD)
    INSTALL(FILES libcomps/__init__.py DESTINATION libcomps/src/python/src/libcomps)
    INSTALL(TARGETS pycomps LIBRARY DESTINATION libcomps/src/python/src/libcomps)
ELSE ()
    EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from sysconfig import get_path; stdout.write(get_path('platlib'))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)

    INSTALL(FILES ${pycomps_SRCDIR}/libcomps/__init__.py DESTINATION ${PYTHON_INSTALL_DIR}/libcomps)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/__test.py DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/fedora_comps.xml DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/sample_comps.xml DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/main_comps.xml DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    #INSTALL(FILES ${pycomps_SRCDIR}/tests/main_comps2.xml DESTINATION
    #              ${PYTHON_INSTALL_DIR}/libcomps/)
    INSTALL (TARGETS pycomps LIBRARY DESTINATION ${PYTHON_INSTALL_DIR}/libcomps)
    # Version has to be passed as last argument.
    INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/../setup_for_python_metadata.py install_egg_info --install-dir \$ENV{DESTDIR}/${PYTHON_INSTALL_DIR}/ ${VERSION})")
ENDIF (SKBUILD)

=== debian/changelog ===
libcomps (0.1.23-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1.23'
  * Drop 0003-Doxyfile.user.in_make-builds-reproducible.patch, merged
    upstream
  * Add d/clean to remove additional build artifacts (Closes: #1048234)

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Sep 2025 18:40:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
            Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ dh-package-notes,
+ pybuild-plugin-pyproject,
  python3-dev,
  libpython3-dev,
  cmake,
@@ -17,7 +19,7 @@
  check,
  zlib1g-dev,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rpm-software-management/libcomps
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libcomps
@@ -76,13 +78,13 @@
 Depends: ${sphinxdoc:Depends}, ${misc:Depends},
  libjs-jquery,
  libjs-underscore,
-Description: Python 2 and 3 bindings for the libcomps library (common documentation)
+Description: Python 3 bindings for the libcomps library (common documentation)
  Libcomps is library for structure-like manipulation of content in
  comps XML files. Supports reading/writing XML files and structure
  modifications.
  .
- This package installs common documentation for the libcomps Python
- 2 and 3 bindings.
+ This package installs common documentation for the libcomps Python 3
+ bindings.
 
 Package: python3-libcomps
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,6 @@
 		   'build/src/python/docs/html/_static/searchtools.js'
 
 override_dh_auto_clean:
-	rm -rf libcomps/docs/Doxyfile.user
 	dh_auto_clean --builddirectory=build
 
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/libcomps-$1\.tar\.gz/ \
  https://github.com/rpm-software-management/libcomps/tags .*/@ANY_VERSION@\.tar\.gz

## libcomps 0.1.24

=== libcomps/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
 cmake_minimum_required (VERSION 3.10)
 project(libcomps C)
 
-cmake_policy(SET CMP0148 OLD)
+if("${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.27")
+  cmake_policy(SET CMP0148 OLD)
+endif()
 if ("${CMAKE_VERSION}" VERSION_GREATER_EQUAL "3.31")
-cmake_policy(SET CMP0175 NEW)
+  cmake_policy(SET CMP0175 NEW)
 endif()
 
 include (GNUInstallDirs)
@@ -16,7 +18,7 @@
 
 set(LIBCOMPS_OUT "${CMAKE_CURRENT_BINARY_DIR}/src")
 
-set (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} --pedantic -std=c99 -Wall -Wextra -g -Wno-missing-field-initializers -O2 -fno-strict-aliasing -g")
+set (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} --pedantic -std=c99 -Wall -Wextra -Wno-missing-field-initializers -O2 -fno-strict-aliasing")
 set (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS} -ggdb -O0 -Wall -Wextra")
 
 set (VERSION "${libcomps_VERSION_MAJOR}.${libcomps_VERSION_MINOR}.${libcomps_VERSION_PATCH}")

=== debian/changelog ===
libcomps (0.1.24-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.1.24'
  * Drop priority from d/control, now defaults to optional
  * Drop Rules-Requires-Root, now defaults to no
  * Bump Standards-version to 4.7.3

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Feb 2026 15:30:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcomps
 Section: libs
-Priority: optional
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Frédéric Pierret <frederic.pierret@qubes-os.org>,
            Luca Boccassi <bluca@debian.org>,
@@ -19,8 +18,7 @@
  check,
  zlib1g-dev,
  python3-setuptools
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/rpm-software-management/libcomps
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libcomps
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libcomps.git
